
#include <fcntl.h>
#include <sys/stat.h>
#include "block_dev.h"

int block_dev_new(struct block_device *b, const char* file, u64 block_size, u64 num_blocks)
{
  if( (b->file_on_disk=open(file,O_RDWR|O_CREAT,S_IRUSR|S_IWUSR)) < 0)
    {
      fprintf(stderr,"Unable to open device file %s\n",file);
      abort();
    }
  b->block_size = block_size;
  b->num_blocks = num_blocks;

  return 1;
}


